Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class RulesParser

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.C45.RulesParser

public class RulesParser
extends java.lang.Object

Version:
  $Id: RulesParser.java,v 1.4 2006/04/11 14:10:09 euler Exp $
Author:
  Alessandro Serra

Constructor Summary
`RulesParser(java.io.Reader r)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`Rules` | `parse()`
`protected Attribute` | `parseAttr()`
`protected Cond` | `parseCond()`
`protected Cond` | `parseNominalCond()`
`protected Cond` | `parseNumericCond()`
`protected Rule` | `parseRule()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RulesParser

    public RulesParser(java.io.Reader r)

Method Detail

### parseAttr

    protected Attribute parseAttr()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseNominalCond

    protected Cond parseNominalCond()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseNumericCond

    protected Cond parseNumericCond()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseCond

    protected Cond parseCond()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseRule

    protected Rule parseRule()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parse

    public Rules parse()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005